<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Page</title>
</head>
<body>
    <h1>This is a page!</h1>
    <form action="" method="GET">
        <button type="submit">Print message</button>
    </form>
    <a href="{{.PrintMessage}}">Click me</a>
</body>
</html>